using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Data;
using System.Windows.Controls;
using System.Windows.Media;

namespace Platform.Controls.AdornerContainer
{
  public  class PromptChrome:Control
    {
        static PromptChrome()
        {
            DefaultStyleKeyProperty.OverrideMetadata(typeof(PromptChrome), new FrameworkPropertyMetadata(typeof(PromptChrome)));
        }
        protected override Size ArrangeOverride(Size arrangeBounds)
        {
            this.Width = 20;
            this.Height = 20;
            this.HorizontalAlignment = HorizontalAlignment.Right;
            this.VerticalAlignment = VerticalAlignment.Top;
            TranslateTransform tt = new TranslateTransform();
            tt.X = 2;
            tt.Y = -5;
            this.RenderTransform = tt;
            return base.ArrangeOverride(arrangeBounds);
        }
    }
}
